Saltar al contenido principal
POST
/
api
/
v1
/
loan-accounts
/
{id}
/
transactions
/
{transactionId}
/
reverse
Revertir la transacción de la cuenta de préstamo
curl --request POST \
  --url https://lender.sandbox.lerian.net/api/v1/loan-accounts/{id}/transactions/{transactionId}/reverse \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "effectiveDate": "<string>",
  "profileVersion": "<string>",
  "reason": "<string>",
  "jurisdictionCode": "<string>"
}
'
import requests

url = "https://lender.sandbox.lerian.net/api/v1/loan-accounts/{id}/transactions/{transactionId}/reverse"

payload = {
"effectiveDate": "<string>",
"profileVersion": "<string>",
"reason": "<string>",
"jurisdictionCode": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
effectiveDate: '<string>',
profileVersion: '<string>',
reason: '<string>',
jurisdictionCode: '<string>'
})
};

fetch('https://lender.sandbox.lerian.net/api/v1/loan-accounts/{id}/transactions/{transactionId}/reverse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "amount": "<string>",
  "effectiveDate": "<string>",
  "loanAccountId": "<string>",
  "originalTransactionId": "<string>",
  "profileVersion": "<string>",
  "reason": "<string>",
  "transactionId": "<string>",
  "jurisdictionCode": "<string>",
  "requestId": "<string>"
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Autorizaciones

Authorization
string
header
requerido

JWT bearer token issued by the identity provider.

Encabezados

X-Request-ID
string

Canonical idempotency request ID. Falls back to X-Idempotency when absent.

Ejemplo:

"550e8400-e29b-41d4-a716-446655440010"

X-Idempotency
string

Fallback idempotency request ID used when X-Request-ID is absent.

Ejemplo:

"550e8400-e29b-41d4-a716-446655440011"

Parámetros de ruta

id
string<uuid>
requerido

Loan account identifier (UUID).

Ejemplo:

"550e8400-e29b-41d4-a716-446655440000"

transactionId
string<uuid>
requerido

Original repayment transaction identifier (UUID).

Ejemplo:

"550e8400-e29b-41d4-a716-446655440001"

Cuerpo

application/json
effectiveDate
string
requerido

YYYY-MM-DD effective date of the reversal.

Ejemplo:

"2026-06-14"

profileVersion
string
requerido

Product profile version applied to the reversal.

Minimum string length: 1
Ejemplo:

"1.0.0"

reason
string
requerido

Operator-supplied reversal reason.

Minimum string length: 1
jurisdictionCode
string

Optional jurisdiction code.

Ejemplo:

"BR"

Respuesta

OK

amount
string
requerido

Reversed amount (2 d.p. string).

Ejemplo:

"125.00"

effectiveDate
string
requerido

ISO-8601 effective date of the reversal.

Ejemplo:

"2026-06-14"

loanAccountId
string
requerido

Loan account UUID.

Ejemplo:

"550e8400-e29b-41d4-a716-446655440000"

originalTransactionId
string
requerido

Reversed original transaction UUID.

Ejemplo:

"550e8400-e29b-41d4-a716-446655440001"

profileVersion
string
requerido

Product profile version applied to the reversal.

Ejemplo:

"1.0.0"

reason
string
requerido

Operator-supplied reversal reason.

transactionId
string
requerido

Compensating reversal transaction UUID.

Ejemplo:

"550e8400-e29b-41d4-a716-446655440002"

jurisdictionCode
string

Jurisdiction code applied to the reversal.

Ejemplo:

"BR"

requestId
string

Idempotency request ID echoed from the request.

Ejemplo:

"550e8400-e29b-41d4-a716-446655440010"